TINT_INFO(1)

NAME
tint_info - display reflection information about a WGSL shader

SYNOPSIS
tint_info [options] input-file

DESCRIPTION
tint_info inspects a WGSL shader and reports its entry points, bindings, and interface variables without compiling it.

OPTIONS

--json
    Emit output in JSON format.

-h  Show usage information.

EXAMPLES
Show entry points and bindings of a shader:

    tint_info shader.wgsl

Emit reflection data as JSON:

    tint_info --json shader.wgsl

SEE ALSO
tint(1)

HOMEPAGE
https://dawn.googlesource.com/dawn